​

Get list of group users

GET
https://example.kaiten.ru/api/latest/groups/{group_uid}/users

⚠️ Starting October 1, 2026, this endpoint returns a maximum of 100 users per request. Until that date a request without pagination parameters returns the whole list. The applied page size is always returned in X-Pagination-Limit, and a request without pagination parameters also gets X-Pagination-Message. Use limit and offset to page through the result. Paginated responses are ordered by user id.

Path parameters
NameTypeReference
group_uidrequiredstringGroup Uid
Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
limitintegerDefault: 100 Max: 100Maximum amount of users in response. Must be a positive integer; a value greater than 100 is treated as 100. Starting October 1, 2026 an omitted value means 100 users are returned
offsetintegerNumber of users to skip. Must be a non negative integer. Default is 0
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

string

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

integer

1 - old ui. 2 - new ui
virtual

boolean

Is user virtual
email_blocked

null | string

Email blocked timestamp
email_blocked_reason

null | string

Email blocked reason
delete_requested_at

null | string

Timestamp of delete request
delete_confirmation_sent_at

null | string

Timestamp of sending confirmation of deletion
sd_telegram_id

integer

Service desk telegram id
news_subscription

boolean

news subscription flag
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbidenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/groups/{group_uid}/users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!